ChangeSet 1.1004, 2003/02/20 12:02:41-08:00, d3august@dtek.chalmers.se

[PATCH] USB: small uhci bug

I noticed that if you modprobe uhci but have no such hardware (it was
an alpha, with ohci, and I was tired) the module fails to load,
obviously, but it leaves a proc file behind, /proc/driver/uhci.

The attached patch should fix that, it seemed simple enough. It's not
tested beyond the fact that it compiles, but I have a good feeling about
it.


diff -Nru a/drivers/usb/uhci.c b/drivers/usb/uhci.c
--- a/drivers/usb/uhci.c	Thu Feb 20 12:06:50 2003
+++ b/drivers/usb/uhci.c	Thu Feb 20 12:06:50 2003
@@ -3136,7 +3136,7 @@
 up_failed:
 
 #ifdef CONFIG_PROC_FS
-	remove_proc_entry("uhci", 0);
+	remove_proc_entry("driver/uhci", 0);
 
 proc_failed:
 #endif
@@ -3156,7 +3156,7 @@
 		printk(KERN_INFO "uhci: not all urb_priv's were freed\n");
 
 #ifdef CONFIG_PROC_FS
-	remove_proc_entry("uhci", 0);
+	remove_proc_entry("driver/uhci", 0);
 #endif
 
 	if (errbuf)
